#include "xanimindices.h"

XAnimIndices::XAnimIndices()
    : XAsset()
    , mIndex(0)
{

}

XAnimIndices::~XAnimIndices()
{

}

void XAnimIndices::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        qint32 indexPtr;
        *aStream >> indexPtr;
        if (indexPtr == -1)
        {
            *aStream >> mIndex;
        }
    }
}

void XAnimIndices::Clear()
{
    mIndex = 0;
}

quint32 XAnimIndices::GetIndex() const {
    return mIndex;
}

void XAnimIndices::SetIndex(quint32 index) {
    mIndex = index;
}
